PLUMB(1)

NAME
plumb - send message to plumber

SYNOPSIS
plumb [ -p plumbfile ] [ -a attributes ] [ -s source ] [ -d destination ] [ -t type ] [ -w directory ] -i | data...

DESCRIPTION
The plumb command formats and sends a plumbing message whose data is, by default, the concatenation of the argument strings separated by blanks. The options are:

-p  write the message to plumbfile (default /mnt/plumb/send).

-a  set the attr field of the message (default is empty).

-s  set the src field of the message (default is plumb).

-d  set the dst field of the message (default is empty).

-t  set the type field of the message (default is text).

-w  set the wdir field of the message (default is the current working directory of plumb).

-i  take the data from standard input rather than the argument strings. If an action= attribute is not otherwise specified, plumb will add an action=showdata attribute to the message.

FILES

$HOME/lib/plumbing
    default rules file

SOURCE
/usr/local/plan9/src/cmd/plumb

SEE ALSO
plumb(3), plumber(4), plumb(7)